FSCK_MSDOS(8)

NAME
fsck_msdos - DOS/Windows (FAT) file system consistency checker

SYNOPSIS
fsck_msdos [-fnpy] filesystem ...

DESCRIPTION
The fsck_msdos utility verifies and repairs FAT file systems (more commonly known as DOS file systems). It checks the specified file systems and tries to repair all detected inconsistencies, requesting confirmation before making any changes.

If the -p flag is given, fsck_msdos preens the specified file systems. It is normally started this way by fsck(8) run from rc(8) during automatic reboot, when a FAT file system is detected. When preening file systems, fsck_msdos will fix common inconsistencies non-interactively. If more serious problems are found, fsck_msdos does not try to fix them, indicates that it was not successful, and exits.

The options are as follows:

-f  This option is ignored by fsck_msdos, and is present only for compatibility with programs that check other file system types for consistency, such as fsck_ffs(8).

-n  Assume a “no” response to all questions asked by fsck_msdos except for “CONTINUE?”, which is assumed to be affirmative. File systems will not be opened for writing. This is the default for file systems to be checked that are concurrently mounted writable.

-p  Preen the specified file systems.

-y  Causes fsck_msdos to assume “yes” as the answer to all operator questions.

SEE ALSO
fs(5), fstab(5), fsck(8), fsck_ffs(8), mount_msdos(8), newfs_msdos(8), rc(8)

BUGS
fsck_msdos is still under construction.